Groovy 1.7.0

## org.codehaus.groovy.runtime
Class MethodRankHelper.RankableField

    java.lang.Object
      org.codehaus.groovy.runtime.MethodRankHelper.RankableField

All Implemented Interfaces:
  Comparable

    class MethodRankHelper.RankableField

This class wraps a method object and a score variable so methods Can easily be ranked by their likeness to a another method

Field Summary
`MetaProperty` | `f`
`Integer` | `score`

Constructor Summary
`MethodRankHelper.RankableField(String name, MetaProperty mp)`

Method Summary
`int` | `compareTo(Object o)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### f

    final MetaProperty f

### score

    final Integer score

Constructor Detail

### MethodRankHelper.RankableField

    public MethodRankHelper.RankableField(String name, MetaProperty mp)

Method Detail

### compareTo

    public int compareTo(Object o)

Copyright © 2003-2009 The Codehaus. All rights reserved.